OneMedNet Corp.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/onemednet-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://app.quotemedia.com/data/downloadFiling?webmasterId=90423&ref=319373781&type=PDF&symbol=ONMD&companyName=OneMedNet+Corp&formType=10-Q&formDescription=General+form+for+quarterly+reports+under+Section+13+or+15%28d%29&dateFiled=2025-08-13",
    "holding_balance": 15.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 536016.35,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://app.quotemedia.com/data/downloadFiling?webmasterId=90423&ref=319584955&type=PDF&symbol=ONMD&companyName=OneMedNet+Corp&formType=10-Q&formDescription=General+form+for+quarterly+reports+under+Section+13+or+15%28d%29&dateFiled=2025-11-14",
    "holding_balance": 5.0,
    "holding_net_change": -10.0,
    "transaction_value_usd": 1141265.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/0001849380/000149315226013681/form10-k.htm",
    "holding_balance": 6.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 87491.28,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    6.0
  ],
  [
    1779062400000,
    6.0
  ],
  [
    1779148800000,
    6.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    464579.16
  ],
  [
    1779062400000,
    461665.62
  ],
  [
    1779148800000,
    460560.05999999994
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.83,
    "date": "2026-05-15",
    "high": 0.938,
    "open": 0.919,
    "close": 0.841,
    "volume": 462800
  },
  {
    "low": 0.8,
    "date": "2026-05-18",
    "high": 0.9,
    "open": 0.832,
    "close": 0.846,
    "volume": 238100
  },
  {
    "low": 0.77,
    "date": "2026-05-19",
    "high": 0.835,
    "open": 0.82,
    "close": 0.7834,
    "volume": 340959
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -16.21,
  "six_month_return": -44.04,
  "three_month_return": 17.1
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/onemednet-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}